% 
% MagnetoptikQuad
% plot(tq,yq(:,3)),shg
% plot(tq(1:100),yq(1:100,3)),shg
% plot(yq(1:100,1),yq(1:100,3)),shg
% plot(yq(:,1),yq(:,3)),shg
% plot(tq,yq(:,1)),shg
% plot(yq(:,1),yq(:,3)),shg
% plot(yq(1:100,1),yq(1:100,3)),shg
% plot(yq(1:200,1),yq(1:200,3)),shg
% MagnetoptikQuad
% plot(yq(:,1),yq(:,3))
% shg
% MagnetoptikQuad
% plot(tq,yq(:,3))
% shg
% MagnetoptikQuad
% plot(tq,yq(:,3)),shg
% MagnetoptikQuad
% shg
% plot(tq,yq(:,3)),shg
% MagnetoptikQuad
% edit MagnetoptikDipolDgl.m
% MagnetoptikQuad
% figure,plot(tq1,yq1(:,1)),shg
% figure,plot(tq1,yq1(:,2)),shg
% % figure,plot(tq1,yq1(:,3)),shg
% % MagnetoptikQuadAbb
% % plot(yort0(1),yort0(2)),shg
% % plot(y0(1),y0(2)),shg
% % y0
% % yort0
% % yq
% MagnetoptikQuadAbb
% ort0
% ort0'
% [ort0';0;0;0;v0]
% MagnetoptikQuadAbb
% ort0
% [ort0;ort0]
% MagnetoptikQuadAbb
% plot(yort0)
% plot(yort0')
% shg
% yort0
% yort0(:,1)
% plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% MagnetoptikQuadAbb
% plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear
% clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear,clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% clear, clc
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% axis equal
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% plot(yq(:,1),yq(:,2)),shg
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% figure,plot3(yq1(:,1),yq1(:,2),yq1(:,3))
% figure,plot(tq1,yq1(:,1))
% MagnetoptikQuadAbb
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1),yq(:,2)),shg
% figure,plot(yq(:,1),yq(:,2)),axis equal,shg
% figure,plot(yq(:,1),yq(:,2)),shg
% korr=(min(yq(:,1))+max(yq(:,2)))/2
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% figure,plot(yq(:,1)-korr,yq(:,2)),shg
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1)-korr,yq(:,2)),shg
% yq(:,1)
% korr=(min(yq(:,1))+max(yq(:,2)))/2
% min(yq(:,1))
% max(yq(:,1))
% korr=(min(yq(:,1))+max(yq(:,2)))/2
% korr=(min(yq(:,1))+max(yq(:,1)))/2
% figure,plot(yort0(:,1),yort0(:,2)),shg
% hold on
% plot(yq(:,1)-korr,yq(:,2)),shg
% MagnetoptikQuadAbb
% dir
% edit MagnetoptikQuad.m
MagnetoptikSexto
figure,plot(tq1,yq1(:,1)),shg
figure,plot(tq1,yq1(:,2)),shg
figure,plot(tq1,yq1(:,3)),shg
MagnetoptikSextoAbb
axis equal
shg
dir
%% edit magnetoptik.m
figure
subplot(1,3,1)
quiver(X(1:4:end,1:4:end),Y(1:4:end,1:4:end),Bxd(1:4:end,1:4:end),Byd(1:4:end,1:4:end),2,'k'),axis tight, shg
title('Dipol')
figure
subplot(1,3,1)
quiver(X(1:4:end,1:4:end),Y(1:4:end,1:4:end),Bxd(1:4:end,1:4:end),Byd(1:4:end,1:4:end),0.5,'k'),axis tight, shg
title('Dipol')
doc quiver
figure
subplot(1,3,1)
quiver(X(1:8:end,1:8:end),Y(1:8:end,1:8:end),Bxd(1:8:end,1:8:end),Byd(1:8:end,1:8:end),0.5,'k'),axis tight, shg
title('Dipol')
figure
subplot(1,3,1)
quiver(X(1:8:end,1:8:end),Y(1:8:end,1:8:end),Bxd(1:8:end,1:8:end),Byd(1:8:end,1:8:end),2,'k'),axis tight, shg
title('Dipol')
figure
subplot(1,3,1)
quiver(X(1:8:end,1:8:end),Y(1:8:end,1:8:end),Bxd(1:8:end,1:8:end),Byd(1:8:end,1:8:end),1,'k'),axis tight, shg
title('Dipol')
figure, axis off
subplot(1,3,1)
quiver(X(1:8:end,1:8:end),Y(1:8:end,1:8:end),Bxd(1:8:end,1:8:end),Byd(1:8:end,1:8:end),0.5,'k'), shg
xlim([-2,2]),ylim([-2,2])
title('Dipol')
doc quiver
MagnetoptikQuadAbb
edit MagnetoptikquadsextAbb
edit MagnetoptikQuadAbb
MagnetoptikSextoAbb
korr=(min(ys(:,1))+max(ys(:,1)))/2
figure,plot(yort0s(:,1),yort0s(:,2)),shg
hold on
plot(ys(:,1)-korr,ys(:,2)),shg
figure,plot(yort0s(:,1),yort0s(:,2)),shg
MagnetoptikSextoAbb
MagnetoptikQuadAbb
MagnetoptikquadsextAbb
MagnetoptikSextoAbb
MagnetoptikquadsextAbb
MagnetoptikQuadAbb
MagnetoptikquadsextAbb
MagnetoptikSextoAbb
MagnetoptikquadsextAbb
MagnetoptikQuadAbb
MagnetoptikQuadAbb
MagnetoptikquadsextAbb
axis tight
title('Sextopol')
Umfang = 26658.883; %m
radius = Umfang/(2*pi);
%tmax = 3e-04;%-07;%-05;%-06;
c = 2.998e08; % m/s
v0= 0.999*c;
qe = 1.602e-19; % C Elementarladung des Elektrons
me = 9.1096e-31; % Masse des Elektrons
%m = 1836*me*12; % Masse C-12 (5-fach ionisiert)
m = 1836*me;     % Masse des Protons
B0f = m*v0 / (qe*radius)
%-- 27.12.2014 11:46:48 --%
dir
edit MagnetoptikQuad.m
MagnetoptikQuad
MagnetoptikSexto
plot(tq,yq(:,1),ts,ys(:,1))
plot(tq,yq(:,2),ts,ys(:,2))
plot(tq,yq(:,3),ts,ys(:,3))
MagnetoptikQuad
MagnetoptikSexto
figure,plot(tq,yq(:,2),ts,ys(:,2))
close all
MagnetoptikQuad
MagnetoptikSexto
figure,plot(tq,yq(:,2),ts,ys(:,2))
MagnetoptikQuad
MagnetoptikSexto
MagnetoptikQuad
MagnetoptikSexto
edit MagnetoptikDipol.m
MagnetoptikSexto
figure,plot(tq,yq(:,2),ts,ys(:,2))
figure,plot(ts,ys(:,2))
min(ys(:,2))
max(ys(:,2))
MagnetoptikSexto
max(ys(:,2))
min(ys(:,2))
figure,plot(ts,ys(:,2))
grid on
figure,plot3(ys(:,1),ys(:,2),ys(:,3)),shg
hold on
plot3(yq(:,1),yq(:,2),yq(:,3)),shg
grid on
shg
figure,plot(tq,yq(:,2),ts,ys(:,2))
figure,plot(tq,yq(:,1),ts,ys(:,1))
figure,plot(tq,yq(:,3),ts,ys(:,3))
MagnetoptikQuad
MagnetoptikSexto
figure,plot(tq,yq(:,3),ts,ys(:,3))
figure,plot(tq,yq(:,2),ts,ys(:,2))
figure,plot(tq,yq(:,1),ts,ys(:,1))
figure,plot(yq(1:100,1),ys(1:100,1))
figure, plot3(yq1(:,1),yq1(:,2),yq1(:,3),ys1(:,1),ys1(:,2),ys1(:,3)),shg
figure, plot(yq1(:,1),yq1(:,2),ys1(:,1),ys1(:,2)),shg
MagnetoptikSexto
grid on
shg
MagnetoptikSextoSystem
r2 = ys(:,1).^2 + ys(:,3).^2;
figure,plot(ts,r2),shg
r2 = (ys(:,1)-radius).^2 + ys(:,3).^2;
figure,plot(ts,r2),shg
r2 = (ys(:,1)-radius).^2 + ys(:,3).^2-radius.^2;
figure,plot(ts,r2),shg
r2(1)
ys(1,1)
ys(1,3)
(ys(1,1)-radius).^2
(ys(1,1)-radius).^2-radius.^2
MagnetoptikSextoSystem
(ys(1,1)-radius).^2-radius.^2
ys(1,2)
ys(1,3)
axis equal
shg
min(ys(:,1))
max(ys(:,1))
max(ys(:,1))-2*radius
figure,plot(ys1(:,1),ys1(:,2)),xlabel('x'),ylabel('y')
figure,plot(ys1(:,2),ys1(:,3)),xlabel('y'),ylabel('z')
MagnetoptikSextoSystem
figure,plot(ys1(:,2),ys1(:,3)),xlabel('y'),ylabel('z')
figure,plot(ys(1:80,2),ys(1:80,3)),xlabel('y'),ylabel('z')
figure,plot(ys(1:100,2),ys(1:100,3)),xlabel('y'),ylabel('z')
grid on
shg
edit MagnetoptikEvent.m
MagnetoptikSextoSystem
ys = [ys1;ys2(2:end,:);ys3(2:end,:);ts4(2:end,:)];
ys = [ys1;ys2(2:end,:);ys3(2:end,:);ys4(2:end,:)];
clc
plot(ts1,ys1(:,1))
shg
plot(ts2,ys2(:,1)),shg
plot(ts3,ys3(:,1)),shg
plot(ts4,ys4(:,1)),shg
plot(ts3,ys3(:,1)),shg
plot(ts3,ys3(:,3)),shg
plot(ts3,ys3(:,2)),shg
MagnetoptikSextoSystem
plot(ts3,ys3(:,2)),shg
plot(ts1,ys1(:,2)),shg
plot(ts2,ys2(:,2)),shg
plot(ts3,ys3(:,2)),shg
figure,plot(ts2,ys2(:,2)),shg
figure,plot(ts3,ys3(:,2)),shg
figure,plot(ts4,ys4(:,2)),shg
figure,plot(ts4,ys4(:,1)),shg
figure,plot(ts4,ys4(:,3)),shg
figure,plot(ts3,ys3(:,3)),shg
figure,plot(ts3,ys3(:,1)),shg
figure,plot(ts,ys(:,1)),shg
figure,plot(ts,ys(:,2)),shg
figure,plot(ts,ys(:,3)),shg
figure,plot(ts,ys(:,2)),shg
grid on
shg
figure,plot(ts1,ys1(:,1)),shg
figure,plot(ts2,ys2(:,1)),shg
figure,plot(ts3,ys3(:,1)),shg
figure,plot(ts4,ys4(:,1)),shg
figure,plot(ts4,ys4(:,2)),shg
figure,plot(ts3,ys3(:,2)),shg
ysy = [ys1;ys2(2:end,:);ys3(2:end,:)];
tsy = [ts1;ts2(2:end,:);ts3(2:end)];
figure,plot(tsy,ysy(:,2)),shg
figure,plot(ts1,ys1(:,2)),shg
figure,plot(ts2,ys2(:,2)),shg
figure,plot(ts3,ys3(:,2)),shg
figure,plot(ts,ys(:,2)),shg
figure,plot(ys(:,2),ys(:,3)),xlabel('y'),ylabel('z')
grid on
shg
MagnetoptikSextoSystem
grid on
shg
MagnetoptikSextoSystem
edit MagnetoptikSexto
MagnetoptikSexto
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
close all
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
B0fm/5
qB0m/5
qB0m = B0*qm
qB0m/5
qB0m/6
(qB0m/6+qB0m/5)/2
(qB0m/6+qB0m/5)/2/qm
MagnetoptikSextoSystem
ys(end,2)
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
figure,plot(ts,ys(:,2)),grid on,shg
MagnetoptikSextoSystem
igure,plot3(ys(:,1),ys(:,2),ys(:,3)),shg, grid on
figure,plot3(ys(:,1),ys(:,2),ys(:,3)),shg, grid on
plot(ys(:,1),ys(:,3)),shg, grid on
figure,plot3(ys(:,1),ys(:,2),ys(:,3)),shg, grid on
figure,plot(ys(:,1),ys(:,3)),shg, grid on
MagnetoptikSextoSystem
xa
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
MagnetoptikSextoSystem
plot(xa,ya,xe,ye),shg
figure, plot(ys(:,1),ys(:,2)),shg
figure, plot(ys(:,1),ys(:,3)),shg
figure, plot(ys(:,2),ys(:,3)),shg
axis tight
shg
axis equal, shg
xlim([-10e-04, 10e-04])
ylim([-10e-04, 10e-04])
shg
figure,plot(xa,ya,xe,ye),shg
ylim([-10e-04, 10e-04])
xlim([-10e-04, 10e-04])
shg
figure,plot(xa,ya,'.-',xe,ye,'.-'),shg
ylim([-10e-04, 10e-04])
xlim([-10e-04, 10e-04])
shg
hold on
MagnetoptikSextoSystem
figure,plot(xa,ya,'.-',xe,ye,'.-'),shg
plot(xa,ya,'.-',xe,ye,'.-'),shg
MagnetoptikSextoSystem
plot(xa,ya,'.-',xe,ye,'.-'),shg
MagnetoptikSextoSystem
plot(xa,ya,'.-',xe,ye,'.-'),shg
MagnetoptikSextoSystem
plot(xa,ya,'k.',xe,ye,'k.'),shg, hold on
ylim([-10e-04, 10e-04])
xlim([-10e-04, 10e-04])
shg
MagnetoptikSextoSystem
plot(xa,ya,'k .-',xe,ye,'k .-'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k --',xe,ye,'k --'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k .',xe,ye,'k .'),shg, hold on
xlim([-10e-04, 10e-04])
ylim([-10e-04, 10e-04])
MagnetoptikSextoSystem
plot(xa,ya,'k -.',xe,ye,'k -.'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k --',xe,ye,'k --'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k -',xe,ye,'k -'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k -',xe,ye,'k -'),shg, hold on
MagnetoptikSextoSystem
plot(xa,ya,'k -',xe,ye,'k -'),shg, hold on
xlabel('x')
ylabel('y')
shg
MagnetoptikSextoSystem
plot(xa,ya,'k -',xe,ye,'k -'),shg, hold on
plot(xa,ya,'k -',xe,ye,'k -p'),shg, hold on
mkdir linsen
cd linsen/
edit linsana
linsana
plot(a.*xplot,h,a2.*xplot,h2),shg
xlim([-1.1, 0.6])
%-- 28.12.2014 12:51:10 --%
%%
dir
edit MagnetoptikSextoSystem.m
edit magnetoptik.m
edit MagnetoptikquadsextAbb.m
edit MagnetoptikSextoSystem
edit MagnetoptikQuadAbb
MagnetoptikQuadAbb
MagnetoptikSextoSystem
MagnetoptikquadsextAbb2
dir *.fig
%-- 29.12.2014 10:45:37 --%
plot(plot::Tube([cos(t), sin(t), 0], 0.4,
t = 0..2*PI))
mupad
degree = 6;
order = 1;
amplitude = 0.5;
radius = 5;
Ymn = legendre(degree,cos(theta(:,1)))
theta = 0:pi/40:pi;                   % polar angle
phi = 0:pi/20:2*pi;                   % azimuth angle
[phi,theta] = meshgrid(phi,theta);    % define the grid
degree = 6;
order = 1;
amplitude = 0.5;
radius = 5;
Ymn = legendre(degree,cos(theta(:,1)));
Ymn = Ymn(order+1,:)';
yy = Ymn;
for kk = 2: size(theta,1)
yy = [yy Ymn];
end
yy = yy.*cos(order*phi);
order = max(max(abs(yy)));
rho = radius + amplitude*yy/order;
r = rho.*sin(theta);    % convert to Cartesian coordinates
x = r.*cos(phi);
y = r.*sin(phi);
z = rho.*cos(theta);
figure
s = surf(x,y,z);
hold on
x
x3
phi3 = linspace(0,2*pi);
x3 = 5*sin(phi3);
z3 = 5*cos(phi3);
y3 = zeros(size(x3));
plot3(x3,y3,z3),shg
z3 = 10*cos(phi3);
plot3(x3,y3,z3),shg
clc
doc legendre
edit synchrotonabb
synchrotonabb
x3 = max(dP(:)) .* sin(psi);
z3 = max(dP(:)) .* cos(psi);
y3 = zeros(size(x3));
plot3(x3,y3,z3)
xlabel('x'), ylabel('y'),zlabel('z')
synchrotonabb
doc alpha
synchrotonabb
doc shading
synchrotonabb
shading flat
shading interp
shading faceted
synchrotonabb
doc plot
synchrotonabb
max(dP)
min(dP)
synchrotonabb
figure, surf(dP)
synchrotonabb
figure, surf(dP)
synchrotonabb
figure,isosurface(X,Y,Z,dP3),shg
doc surf
synchrotonabb
1/gamma2
synchrotonabb
doc isosurfaces
edit synchrotronabb
synchrotronabb
fv = isosurfacesX,Y,Z,fxyz);
clc
fv = isosurface(X,Y,Z,fxyz);
close all
p1 = patch(fv);
view(3)
shg
synchrotronabb
doc shpere
doc slice
synchrotronabb
doc scatter3
synchrotonabb
max(dP(:))
min(dP(:))
synchrotonabb
max(dP(:))
min(dP(:))
synchrotonabb
max(dP(:))
min(dP(:))
synchrotonabb
max(dP(:))
min(dP(:))
synchrotonabb
doc vector
synchrotronabb2
figure
surf(X,Y,Z), axis equal
shg
synchrotronabb2
%-- 30.12.2014 09:56:30 --%
synchrotronabb2
edit synchrotrontest
synchrotrontest
cos(pi/2)
clc
close all
synchrotrontest
close all
synchrotrontest
axsi equal
axis equal
close all
synchrotrontest
synchrotronabb2
light
lighting gouraud
shading flat
shading interp
shading flat
shading faceted
colormap(summer)
shading flat
doc lighting
lighting flat
lighting none
shading faceted
synchrotronabb2
light
lighting gouraud
lighting flat
doc colormap
brighten(0.5)
brighten(0.7)
brighten(0.9)
colormap(gray)
colormap(jet)
colormap(summer)
colormap(gray)
brighten(1)
synchrotronabb2
colormap(gray)
shg
brighten(1)
shg
light
shg
lighting flat
shg
lighting gourand
lighting gouraud
shg
figure, plot(theta)
doc annotation
synchrotronabb2
edit synchrotronabb2
view
[a,e]=view
synchrotronabb2
brighten(0.7)
brighten(1)
brighten(0.9)
brighten(0.8)
brighten(0.1)
figure(5),brighten(0.1)
figure(5),brighten(0.5)
doc brighten
fh = gcf
brighten(fh,0.5)
brighten(fh,0.)
brighten(fh,01)
brighten(fh,0)
brighten(fh,0.1)
brighten(fh,1)
lighting gouraud
light
lighting gouraud
brighten(fh,0.1)
brighten(fh,1)
get(fh)
synchrotronabb2
brighten(figure1,1)
brighten(figure1,0.1)
synchrotronabb2
[a,e] = view
synchrotronabb2
brighten(1)
light
lighting gouraud
[a,e] = view
synchrotronabb2
brighten(figure1,1)
light
lighting gouraud
synchrotronabb2
beta = 0.6;
gamma2 = 1 - beta^2;
cos2b = 1./(1 - beta*cos(Theta)).^2;
dP = beta^4 .* cos2b.^2.*(1 - (sin(Theta) .* cos(Phi)).^2 .* cos2b./gamma2); % länge in Richtung theta, phi plotten
dP = dP ./ max(abs(dP(:)));
dP = abs(dP);
rho = dP .* sin(Theta);
X = rho .* cos(Phi);
Y = rho .* sin(Phi);
Z = dP .* cos(Theta);
figure2=figure;
surf(X,Y,Z), %axis equal
shg
hold on
psi = linspace(-pi/4,11*pi/24);
x3 = max(dP(:)) .* (cos(psi) - 1);
z3 = max(dP(:)) .* sin(psi);
y3 = zeros(size(x3));
plot3(x3,y3,z3,'k --','linewidth',2.)
plot3([0,0],[0,0],[0,1.25],'k','linewidth',1.5),plot3([-0.7,0],[0,0],[0,0],'k','linewidth',1.5)
plot3([0.,0],[0,1],[0,0],'k','linewidth',1.5)
xlabel('x'), ylabel('y'),zlabel('z')
view(-130.5,16)
beta = 0.9;
gamma2 = 1 - beta^2;
cos2b = 1./(1 - beta*cos(Theta)).^2;
dP = beta^4 .* cos2b.^2.*(1 - (sin(Theta) .* cos(Phi)).^2 .* cos2b./gamma2); % länge in Richtung theta, phi plotten
dP = dP ./ max(abs(dP(:)));
dP = abs(dP);
rho = dP .* sin(Theta);
X = rho .* cos(Phi);
Y = rho .* sin(Phi);
Z = dP .* cos(Theta);
figure3=figure;
surf(X,Y,Z), %axis equal
shg
hold on
psi = linspace(-2*pi/24,7*pi/24);
x3 = max(dP(:)) .* (cos(psi) - 1);
z3 = max(dP(:)) .* sin(psi);
y3 = zeros(size(x3));
plot3(x3,y3,z3,'k --','linewidth',2.)
plot3([0,0],[0,0],[0,1.15],'k','linewidth',1.5),plot3([-0.3,0],[0,0],[0,0],'k','linewidth',1.5)
plot3([0.,0],[0,0.3],[0,0],'k','linewidth',1.5)
xlabel('x'), ylabel('y'),zlabel('z')
view(-130.5,16)
doc cameralight
camlight(figure3,'left')
figure3
axis vis3d
camlight(figure3,'left')
clc
synchrotronabb2
get(gca,'position')
synchrotronabb2
axis off
synchrotronabb2
doc colormap
synchrotronabb2
brighte(ah2,1)
brighten(ah2,1)
%-- 02.01.2015 13:53:36 --%
(4.8e-10).^2+4*pi/3
(4.8e-10).^2*4*pi/3
(1.6e-19).^2 / (3*8.854e-12)
edit SynEnergieverlust
edit MagnetoptikQuad.m
SynEnergieverlust
E
SynEnergieverlust
sqrt(1-(1/7500)^2)
1/7500^2
1-1/7500^2
1836^4
betao =0.9;
beta =0.9;
gamma = 1./sqrt(1-beta^2)
beta =0.99999
gamma = 1./sqrt(1-beta^2)
beta =0.999999
fomat long
format long
gamma = 1./sqrt(1-beta^2)
beta =0.9999999
gamma = 1./sqrt(1-beta^2)
sqrt(1-(1/7500)^2)
SynEnergieverlust
mp
gamma*mp
SynEnergieverlust
eeverl = EVerlustrel
SynEnergieverlust
eeverl./EVerlustrel
SynEnergieverlust
close all
SynEnergieverlust
E(1)
EVerlustrel(1)
EVerlustrel(2)
grid on
shg
xlabel('\beta')
ylabel('\frac{E_0}{E}')
ylabel('E_0}/{E}')
ylabel('E_0/E')
0.9/50
SynEnergieverlust
gird on
grid on
shg
ylabel('E_0/E')
xlabel('\beta')
shg
(4.8e-10)^2 / ( 4*pi*3)
(1.602^2)*3/(8.854e-12*16*pi^2)
(1.602e-19^2)*3/(16*pipi*8.854e-12)
(1.602e-19^2)*3/(16*pi*pi*8.854e-12)
(1.602e-19^2)*3/(4*pi*8.854e-12)
4.8/3
(4.8e-10)/299792458
clc
1.602e-19/srqt(4*pi*8.854187817e-12)
1.602e-19/sqrt(4*pi*8.854187817e-12)
synchrotronabb2
synchrotronabb3
%-- 04.01.2015 12:15:50 --%
edit FuehrungMagn.m
edit MagDippolRel
edit MagDipolRel
edit MagnetoptikDipolDgl.m
edit MagnetoptikDipolDglRel.m
edit MagnetoptikDipolRelDgl.m
MagDipolRel
min(ydn(:,1))/2
2*pi*radiusrel
2*pi*radiusrel/100
2*pi*radiusrel/1000
Bofn
B0fn
B0fr
%-- 04.01.2015 14:43:58 --%
1232*15+392*6
1232*15+392*6-26658
(1232*15+392*6-26658)/6
%-- 04.01.2015 15:56:46 --%
1/sqrt(1-0.999)
1/sqrt(1-0.999)*7.4e-04
dir
l *.m
dir *.m
edit FuehrungMagn.m
MagDipolRel
B0fn(end)
B0fr(end)
B0fr(end)/B0fn
B0fr(end)/B0fn(end)
mr
mr*m
mr./m
sqrt(1-(v0r/c).^2)
1./ans(end)
B0fr(end)
edit MagnetoptikQuadAbb.m
edit  MagnetoptikquadsextAbb2.m
edit magnetoptik
magnetoptik
magnetoptikpub
%-- 05.01.2015 11:34:17 --%
edit MagnetoptikBew.m
BahnFehler
edit MagnetoptikQuad.m
edit MagnetoptikQuadAbb.m
edit MagnetoptikQuadDgl.m
edit MagnetoptikQuadrupolDgl.m
MagnetoptikQuad
edit Magentoptikevent
edit MagentoptikEvent
edit MagnetoptikEvent
MagnetoptikQuad
0.0001e06
edit MagnetoptikSextoAbb.m
edit MagnetoptikSextoSystem.m
0.0001e06
0.0005e06
MagnetoptikSextoSystem
figure,plot3(ys(:,1),ys(:,2),ys(:,3)),shg, grid on
xlabel('x')
shg
2*radius
MagnetoptikSextoSystem
edit MagnetoptikSextopolDglsys.m
MagnetoptikSextoSystem
edit MagnetoptikquadsextAbb2.m
plot(xe,ye,'k','linewidth',1.)
MagnetoptikSextuSystem
edit MagnetoptikSextopolDgl.m
MagnetoptikSextuSystem
edit Bahnfehler
BahnFehler
hoehe*1e06
tmax
tmax*1e06
%-- 06.02.2015 13:53:54 --%